GroupMetricDisplaySummary (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.uibeans.GroupMetricDisplaySummary class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.uibeans
Class GroupMetricDisplaySummary

    java.lang.Object
      org.hyperic.hq.bizapp.shared.uibeans.MetricConfigSummary
          org.hyperic.hq.bizapp.shared.uibeans.GroupMetricDisplaySummary

All Implemented Interfaces:
  java.io.Serializable

    public class GroupMetricDisplaySummary

extends MetricConfigSummary
implements java.io.Serializable

This bean encapsulates the data used to display a list of group metrics

See Also:
  Serialized Form

Constructor Summary
`GroupMetricDisplaySummary()`
`GroupMetricDisplaySummary(int id, java.lang.String name, java.lang.String category)`

Method Summary
`int` | `getActiveMembers()`
`int` | `getTotalMembers()`
`void` | `incrementMember()`
`void` | `setActiveMembers(int i)`
`void` | `setTotalMembers(int i)`

Methods inherited from class org.hyperic.hq.bizapp.shared.uibeans.MetricConfigSummary
`getCategory, getDescription, getId, getInterval, getLabel, getName, getTemplateId, setCategory, setDescription, setInterval, setLabel, setTemplateId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupMetricDisplaySummary

    public GroupMetricDisplaySummary()

### GroupMetricDisplaySummary

    public GroupMetricDisplaySummary(int id,
                                     java.lang.String name,
                                     java.lang.String category)

Method Detail

### incrementMember

    public void incrementMember()

### getActiveMembers

    public int getActiveMembers()

### setActiveMembers

    public void setActiveMembers(int i)

### getTotalMembers

    public int getTotalMembers()

### setTotalMembers

    public void setTotalMembers(int i)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.